Ask coding questions

← Back to all posts
How to update node v16/ How to fix the error in the project?
Craux2135

Hello,There is a error in the given project. I seek help from my friend then asked me to update nodev12 to nodev16.
So can anyone say me how to do that?How to update node v16?

And if anyone help me to fix the error u can comment! Plz help🙏🙏

Answered by AmoghTheCool [earned 5 cycles]
View Answer
Voters
maxina
AmoghTheCool
Craux2135
Comments
hotnewtop
AmoghTheCool

@Craux2135, I don't think that it is your error, since if you look at the error it seems to originate from discord.js... and it's a syntax error. I think you can't update replit's node.js so use node.js locally and follow these instructions to upgrade.

AmoghTheCool

@Craux2135, replit has to upgrade node.js (you can't) so use node.js locally.

Craux2135

@AmoghTheCool so u mean that replit will automatically update node version and we cannot update node manually in replit.Am i right?

AmoghTheCool

@Craux2135 basically yes.
If you want to update node.js to the newest version before replit does, install node.js locally. Go to nodejs.org for the installation.

Highwayman

You can, in fact "upgrade" nodjs. You just have to use a Nix repl to get the right packages.

Here's an example: https://replit.com/@ConnorBrewster/Nodejs-16